Bug 480422 - ghc-gtk2hs-gtkglext %post Requires gtkglext-devel
ghc-gtk2hs-gtkglext %post Requires gtkglext-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2hs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 18:15 EST by Jerry James
Modified: 2009-05-19 05:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 05:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2009-01-16 18:15:11 EST
Description of problem:
I installed ghc-gtk2hs-gtkglext without gtkglext-devel installed.  The %post script failed.  Running it by hand produced this output:

# ghc-pkg-6.8.3 update --auto-ghci-libs /usr/lib64/ghc-6.8.3/gtk2hs-0.9.13/gtkglext.package.conf
Reading package info from "/usr/lib64/ghc-6.8.3/gtk2hs-0.9.13/gtkglext.package.conf" ... done.
WARNING: unversioned dependencies are deprecated, and will NOT be accepted by GHC 6.10: base
ghc-pkg: /usr/include/gtkglext-1.0 doesn't exist or isn't a directory (use --force to override)

That directory doesn't exist unless gtkglext-devel is installed.

Version-Release number of selected component (if applicable):
ghc-gtk2hs-gtkglext-0.9.13-3.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make sure gtkglext-devel is not installed.
2. Install ghc-gtk2hs-gtkglext.
  
Actual results:
The %post script fails.

Expected results:
The %post script should succeed at building HSgtkglext.o.

Additional info:
Comment 1 Jens Petersen 2009-01-18 17:58:00 EST
Thanks for the report: basically in rawhide we now stopped building the .o files at install time but rather at build time so when this gets backported to F10 which should be soon this should get fixed.  But you're right there should strictly be Requires(pre): gtkglext-devel, but probably just changing the current requires from gtkglext to gtkglext-devel would be enough.

Will do that in the next builds for rawhide and then later F10.
Comment 2 Fedora Update System 2009-02-07 17:19:04 EST
ghc-6.10.1-7.fc10, ghc-paths-0.1.0.5-2.fc10, haddock-2.4.1-2.fc10, ghc-gtk2hs-0.9.13-8.20081108.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc ghc-paths haddock ghc-gtk2hs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1442

Note You need to log in before you can comment on or make changes to this bug.